Package org.eclipse.emf.compare.command

# Interface ICompareCopyCommand

All Superinterfaces:
  `Command`

All Known Implementing Classes:
  `AbstractCopyCommand`, `CopyCommand`, `EMFCompareTextMergeViewer.EditCommand`, `MergeAllNonConflictingCommand`, `MergeCommand`

public interface ICompareCopyCommand extends Command
Interface of compare copy (merge) command. It knows on which side of the copy will be applied.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLeftToRight()`
Returns true if the command will be applied from left to right side, false otherwise.

### Methods inherited from interface org.eclipse.emf.common.command.Command

`canExecute, canUndo, chain, dispose, execute, getAffectedObjects, getDescription, getLabel, getResult, redo, undo`

## Method Details

### isLeftToRight

boolean isLeftToRight()
Returns true if the command will be applied from left to right side, false otherwise.

Returns:
  true if the command will be applied from left to right side, false otherwise.